### Method

# GIRepository ObjectInfo find_signal

since: 2.80

#### Declaration [src]

    GISignalInfo*
    gi_object_info_find_signal (
      GIObjectInfo* info,
      const char* name
    )

#### Description [src]

Obtain a signal of the object type given a `name`.

`NULL` will be returned if there’s no signal available with that name.

Available since: 2.80

#### Parameters

`name`

  Type: `const char*`

  Name of signal.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GISignalInfo`

The `GISignalInfo`, or `NULL` if no signal could be found. Free the struct by calling `gi_base_info_unref()` when done.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.